solution="""The Zen of Python, by Tim Peters
Beautiful is better than ugly.
Explicit is better than implicit.
Simple is better than complex.
Complex is better than complicated.
Flat is better than nested.
Sparse is better than dense.
Readability counts.
Special cases aren't special enough to break the rules.
Although practicality beats purity.
Errors should never pass silently.
Unless explicitly silenced.
In the face of ambiguity, refuse the temptation to guess.
There should be one-- and preferably only one --obvious way to do it.
Although that way may not be obvious at first unless you're Dutch.
Now is better than never.
Although never is often better than *right* now.
If the implementation is hard to explain, it's a bad idea.
If the implementation is easy to explain, it may be a good idea.
Namespaces are one honking great idea -- let's do more of those!"""


#print enigma
#Creazione della codifica
enigma=''
for el in solution:
		if (ord(el)-2<123 and ord(el)-2>=97): 
			enigma+=chr(ord(el)-2)
		elif ord(el)-2==95:
			enigma+=chr(121)	
		elif  ord(el)-2==96:
			enigma+=chr(122)			
		else:
			enigma+=el
		
print enigma

#Soluzione
solution=''
for el in enigma:
		if (ord(el)+2<123 and ord(el)+2>=97): 
			solution+=chr(ord(el)+2)
		elif ord(el)+2==124:
			solution+=chr(98)	
		elif  ord(el)+2==123:
			solution+=chr(97)			
		else:
			solution+=el
		
print solution

#Oppure
trans_tab = range(256)	
trans_tab[97:123] = range(99,123) + [97,98]
print enigma.translate("".join(map(chr,trans_tab)))



